GNU logs - #36513, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 05 Jul 2019 15:56:01 +0000
Resent-Message-ID: <handler.36513.B.156234212628168 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: 36513 <at> debbugs.gnu.org
Cc: ludo@HIDDEN
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.156234212628168
          (code B ref -1); Fri, 05 Jul 2019 15:56:01 +0000
Received: (at submit) by debbugs.gnu.org; 5 Jul 2019 15:55:26 +0000
Received: from localhost ([127.0.0.1]:53639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hjQYY-0007KF-6G
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2019 11:55:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:33741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hjQYV-0007K5-U1
 for submit <at> debbugs.gnu.org; Fri, 05 Jul 2019 11:55:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38504)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rekado@HIDDEN>) id 1hjQYL-0004Nm-Ks
 for guix-patches@HIDDEN; Fri, 05 Jul 2019 11:55:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1hjQYG-0007Jr-1k
 for guix-patches@HIDDEN; Fri, 05 Jul 2019 11:55:11 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21241)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>)
 id 1hjQYE-0006mc-J7; Fri, 05 Jul 2019 11:55:07 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1562342099; cv=none; d=zoho.com; s=zohoarc; 
 b=NSH002z5WT11YzkLEJF95rxm8CRvN4ibjp7i9BalqFgWB1zzhAUPgxsb9AFdBhxOxVPppgkQgU+5alHcToPXBKqjmr+pWmCXjQF7rjaPvkv2+rc5OaTkbtvsAipnBYvYVodOy+no0lKI2m/Ax9wFkN86GYNGjqqV/MSUh+isPkw=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1562342099;
 h=Content-Type:Cc:Date:From:MIME-Version:Message-ID:Subject:To:ARC-Authentication-Results;
 bh=p8rReO2NNhdfbimir55o2ShvkoLeAZ4qE5AK96XDQBo=; 
 b=lDsIxnyChlMvwCN/fC74FuQCaRFbwzTsiAuGgYAcfE3Msnwzx88JMuQhRoYHmZX4OXdOmNTieYygfx6Zg0+QN0lbJvOBJZelYLkKwzkNZ+mfZb4ItGCc0FXe//W0lgwbQr39FcugAFSA+uh8sMAnz4QYjuqRVcfagdXYe2CnZ4E=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1562342099; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type;
 l=3773; bh=p8rReO2NNhdfbimir55o2ShvkoLeAZ4qE5AK96XDQBo=;
 b=cmYC05aMJgBiVUbzlOWo9ftGw/A3w+ggKU7X/FeFL5KGPlUlSTjcnxH9TTJXbSLs
 XROAiDjQYhgR/Z6i7ft80Uwjw2wRmvG6lSN5ZyGGZIOADyn0gf/s4434M+rknFmTiK+
 EjBFheqerUL0dhCixEXgwx5R92WdVPWkeLFURdA8=
Received: from localhost (141.80.247.250 [141.80.247.250]) by mx.zohomail.com
 with SMTPS id 1562342097400409.2248423731804;
 Fri, 5 Jul 2019 08:54:57 -0700 (PDT)
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 05 Jul 2019 17:54:54 +0200
Message-ID: <87d0ioschd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-ZohoMailClient: External
X-Zoho-Virus-Status: 1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 135.84.80.216
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Guix,

this patch causes texlive-union to include pdftex.map, among other font
map files.  This is achieved by running updmap in the builder.

This should fix a couple of problems.

Unfortunately, this doesn=E2=80=99t fix the same problem with the profile h=
ook,
so I think this means that the profile hook should be using
texlive-union to avoid duplication.

What do you think?

--
Ricardo


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-gnu-texlive-union-Build-font-maps.patch

From 11900d109a617d07e0085a25e747da76fcb12c2e Mon Sep 17 00:00:00 2001
From: Ricardo Wurmus <rekado@HIDDEN>
Date: Fri, 5 Jul 2019 17:48:45 +0200
Subject: [PATCH] gnu: texlive-union: Build font maps.

* gnu/packages/tex.scm (texlive-union)[arguments]: Execute updmap to generate
missing font maps.
[native-inputs]: Add coreutils, sed, and updmap.cfg.
---
 gnu/packages/tex.scm | 38 ++++++++++++++++++++++++++++++++++----
 1 file changed, 34 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index ec35315f22..85c72e006a 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -2387,16 +2387,18 @@ standard LaTeX packages."
            #:builder
            (begin
              (use-modules (ice-9 match)
+                          (ice-9 popen)
                           (srfi srfi-26)
                           (guix build union)
                           (guix build utils)
                           (guix build texlive-build-system))
              (let* ((out       (assoc-ref %outputs "out"))
                     (texmf.cnf (string-append out "/share/texmf-dist/web2c/texmf.cnf")))
-               ;; Build a modifiable union of all inputs (but exclude bash)
+               ;; Build a modifiable union of all inputs (but exclude bash and
+               ;; the updmap.cfg file)
                (match (filter (match-lambda
                                 ((name . _)
-                                 (not (string=? "bash" name))))
+                                 (not (member name '("bash" "updmap.cfg")))))
                               %build-inputs)
                  (((names . directories) ...)
                   (union-build (assoc-ref %outputs "out")
@@ -2413,19 +2415,47 @@ standard LaTeX packages."
                   (string-append "TEXMFROOT = " out "/share\n"))
                  (("^TEXMF = .*")
                   "TEXMF = $TEXMFROOT/share/texmf-dist\n"))
-               (setenv "PATH" (string-append (assoc-ref %build-inputs "bash")
-                                             "/bin"))
+               (setenv "PATH" (string-append
+                               (assoc-ref %build-inputs "bash") "/bin:"
+                               (assoc-ref %build-inputs "coreutils") "/bin:"
+                               (string-append out "/bin")))
                (for-each
                 (cut wrap-program <>
                      `("TEXMFCNF" ":" suffix (,(dirname texmf.cnf)))
                      `("TEXMF"    ":" suffix (,(string-append out "/share/texmf-dist"))))
                 (find-files (string-append out "/bin") ".*"))
+
+               ;; Remove invalid maps from config file.
+               (let ((port (open-pipe* OPEN_WRITE "updmap-sys"
+                                       "--syncwithtrees"
+                                       "--nohash"
+                                       (assoc-ref %build-inputs "updmap.cfg"))))
+                 (display "Y\n" port)
+                 (when (not (zero? (status:exit-val (close-pipe port))))
+                   (error "failed to filter updmap.cfg")))
+               ;; Generate maps.
+               (invoke "updmap-sys" "--force"
+                       (string-append out "/share/texmf-config/web2c/updmap.cfg"))
                #t))))
         (inputs
          `(("bash" ,bash)
            ,@(map (lambda (package)
                     (list (package-name package) package))
                   (append default-packages packages))))
+        (native-inputs
+         `(("coreutils" ,coreutils)
+           ("sed" ,sed)
+           ("updmap.cfg"
+            ,(origin
+               (method url-fetch)
+               (uri (string-append "https://tug.org/svn/texlive/tags/"
+                                   %texlive-tag "/Master/texmf-dist/web2c/updmap.cfg"
+                                   "?revision=" (number->string %texlive-revision)))
+               (file-name (string-append "updmap.cfg-"
+                                         (number->string %texlive-revision)))
+               (sha256
+                (base32
+                 "06mwpy5i218g5k3sf4gba0fmxgas82hkzx9fhwn67z5ik37d8apq"))))))
         (home-page (package-home-page texlive-bin))
         (synopsis "Union of TeX Live packages")
         (description "This package provides a subset of the TeX Live
-- 
2.21.0


--=-=-=--





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: bug#36513: Acknowledgement (texlive-union: Build missing font maps.)
Message-ID: <handler.36513.B.156234212628168.ack <at> debbugs.gnu.org>
References: <87d0ioschd.fsf@HIDDEN>
X-Gnu-PR-Message: ack 36513
X-Gnu-PR-Package: guix-patches
Reply-To: 36513 <at> debbugs.gnu.org
Date: Fri, 05 Jul 2019 15:56:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 36513 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36513: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36513
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Jul 2019 20:33:02 +0000
Resent-Message-ID: <handler.36513.B36513.15632227325477 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.15632227325477
          (code B ref 36513); Mon, 15 Jul 2019 20:33:02 +0000
Received: (at 36513) by debbugs.gnu.org; 15 Jul 2019 20:32:12 +0000
Received: from localhost ([127.0.0.1]:49237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn7ds-0001QG-34
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:32:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hn7do-0001Py-JZ
 for 36513 <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:32:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56446)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hn7dg-0007t5-TJ; Mon, 15 Jul 2019 16:32:03 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53330 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hn7dU-0003Lo-E9; Mon, 15 Jul 2019 16:31:51 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87d0ioschd.fsf@HIDDEN>
Date: Mon, 15 Jul 2019 22:31:47 +0200
In-Reply-To: <87d0ioschd.fsf@HIDDEN> (Ricardo Wurmus's message of "Fri,
 05 Jul 2019 17:54:54 +0200")
Message-ID: <87muhfghu4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Ricardo Wurmus <rekado@HIDDEN> skribis:

>>From 11900d109a617d07e0085a25e747da76fcb12c2e Mon Sep 17 00:00:00 2001
> From: Ricardo Wurmus <rekado@HIDDEN>
> Date: Fri, 5 Jul 2019 17:48:45 +0200
> Subject: [PATCH] gnu: texlive-union: Build font maps.
>
> * gnu/packages/tex.scm (texlive-union)[arguments]: Execute updmap to gene=
rate
> missing font maps.
> [native-inputs]: Add coreutils, sed, and updmap.cfg.

I=E2=80=99m blissfully ignorant about TeX=E2=80=99s font maps, but I can sa=
y that this
fixes a warning about missing font maps that I had when using a
=E2=80=98texlive-union=E2=80=99 as a package input.

Now, that probably leads to a big rebuild.  Can we estimate the number
of dependents?

Thank you!

Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Jul 2019 20:48:01 +0000
Resent-Message-ID: <handler.36513.B36513.15632236477290 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: Pierre Neidhardt <mail@HIDDEN>, 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.15632236477290
          (code B ref 36513); Mon, 15 Jul 2019 20:48:01 +0000
Received: (at 36513) by debbugs.gnu.org; 15 Jul 2019 20:47:27 +0000
Received: from localhost ([127.0.0.1]:49266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn7sb-0001tT-Bb
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:47:27 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hn7sZ-0001tJ-2G
 for 36513 <at> debbugs.gnu.org; Mon, 15 Jul 2019 16:47:24 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1563223636; cv=none; d=zoho.com; s=zohoarc; 
 b=FLpHn81YmrWVnsG8HsJWUQrKBubtAt1oIqGhBNJoKm9tEu0RWG+srim33JPKcbgimJHZ7ENNgdAApRXMfXImbZjuLozZoyYD3cni5O7m7u099xkTYCCdIZ/1jouY2dmQPl0aiKrtdeG5cA0JybL3QKZfNcenyi7+6b5PAv8nkns=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1563223636;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=KV/j9Pxs+DynEVPkBCUE17KzTinRC+zIDUrK/t2iCwc=; 
 b=FiHMrnoIsXG8HMhTErDlCpzpQ3rZEZdo6xx539TVof6BvrJhZyy9S/b+UAjM21/YukicbuE8xUu8c5YBD6oKpubIos7+7ZMJaJdieAjkJGD8vN8KARQChQb5RJieNOYJiz5LNpd6ZpoiE7D2fsIksUy2pkvCnUsS5+nOAfkcJkY=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1563223636; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1524; bh=KV/j9Pxs+DynEVPkBCUE17KzTinRC+zIDUrK/t2iCwc=;
 b=UX3BIGW3BSlrAgSM8G2DCCGoX7Abci9wcce+rB2G5tyyUscmPAzNa/aMJjJQoEZe
 VuvnOAJ0unzTmxoJqkoALClZc1QczQXj9rW6gX38DC9V8NfkNYfG8wBrbUDcQ5zuqDx
 UJCRNQiTchIcspAUElEoaQf4iWYkk/7UGAFIwuD0=
Received: from localhost (p54AD4F5F.dip0.t-ipconnect.de [84.173.79.95]) by
 mx.zohomail.com with SMTPS id 1563223635461963.4126747932363;
 Mon, 15 Jul 2019 13:47:15 -0700 (PDT)
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <87muhfghu4.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 15 Jul 2019 22:47:11 +0200
Message-ID: <87zhlfgh4g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Ludo,

> Ricardo Wurmus <rekado@HIDDEN> skribis:
>
>>>From 11900d109a617d07e0085a25e747da76fcb12c2e Mon Sep 17 00:00:00 2001
>> From: Ricardo Wurmus <rekado@HIDDEN>
>> Date: Fri, 5 Jul 2019 17:48:45 +0200
>> Subject: [PATCH] gnu: texlive-union: Build font maps.
>>
>> * gnu/packages/tex.scm (texlive-union)[arguments]: Execute updmap to gen=
erate
>> missing font maps.
>> [native-inputs]: Add coreutils, sed, and updmap.cfg.
>
> I=E2=80=99m blissfully ignorant about TeX=E2=80=99s font maps, but I can =
say that this
> fixes a warning about missing font maps that I had when using a
> =E2=80=98texlive-union=E2=80=99 as a package input.
>
> Now, that probably leads to a big rebuild.  Can we estimate the number
> of dependents?

In addition to this change I just pushed to wip-texlive a number of
changes that may lead to an even bigger number of rebuilds due to
changes in the svn fetcher and even more TeX packages.

(I noticed that the branch name =E2=80=9Cwip-texlive=E2=80=9D was already t=
aken by the
attempt to add a new importer, so I just cherry-picked that commit and
replaced the branch.)

I don=E2=80=99t know yet if it leads to practical improvements for users, b=
ut at
least it greatly simplifies the definition of texlive-* packages.

I have yet to double check the often unclear licenses of the
texlive-hyphen-* packages.  Other than that and the WIP commit by Pierre
at the tip I think these changes are very close to their final form.

--
Ricardo





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 19 Jul 2019 12:05:02 +0000
Resent-Message-ID: <handler.36513.B36513.156353787316745 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: Pierre Neidhardt <mail@HIDDEN>, 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.156353787316745
          (code B ref 36513); Fri, 19 Jul 2019 12:05:02 +0000
Received: (at 36513) by debbugs.gnu.org; 19 Jul 2019 12:04:33 +0000
Received: from localhost ([127.0.0.1]:55269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoRcn-0004M1-Gs
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:04:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hoRcl-0004Lp-SG
 for 36513 <at> debbugs.gnu.org; Fri, 19 Jul 2019 08:04:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56505)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hoRcg-00067V-0D; Fri, 19 Jul 2019 08:04:26 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=60586 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hoRcf-0005gb-K0; Fri, 19 Jul 2019 08:04:25 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 1 Thermidor an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 19 Jul 2019 14:04:24 +0200
In-Reply-To: <87zhlfgh4g.fsf@HIDDEN> (Ricardo Wurmus's message of "Mon,
 15 Jul 2019 22:47:11 +0200")
Message-ID: <87tvbib587.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Ricardo Wurmus <rekado@HIDDEN> skribis:

> In addition to this change I just pushed to wip-texlive a number of
> changes that may lead to an even bigger number of rebuilds due to
> changes in the svn fetcher and even more TeX packages.
>
> (I noticed that the branch name =E2=80=9Cwip-texlive=E2=80=9D was already=
 taken by the
> attempt to add a new importer, so I just cherry-picked that commit and
> replaced the branch.)
>
> I don=E2=80=99t know yet if it leads to practical improvements for users,=
 but at
> least it greatly simplifies the definition of texlive-* packages.
>
> I have yet to double check the often unclear licenses of the
> texlive-hyphen-* packages.  Other than that and the WIP commit by Pierre
> at the tip I think these changes are very close to their final form.

Yay, very nice!

When it=E2=80=99s ready, we can ask berlin to build it as a separate branch=
 and
merge it once it=E2=80=99s done.

Thanks a lot!

Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 22 Jul 2019 19:29:01 +0000
Resent-Message-ID: <handler.36513.B36513.156382369532110 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: Pierre Neidhardt <mail@HIDDEN>, 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.156382369532110
          (code B ref 36513); Mon, 22 Jul 2019 19:29:01 +0000
Received: (at 36513) by debbugs.gnu.org; 22 Jul 2019 19:28:15 +0000
Received: from localhost ([127.0.0.1]:33655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpdyp-0008Lq-0J
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 15:28:15 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hpdym-0008Li-RA
 for 36513 <at> debbugs.gnu.org; Mon, 22 Jul 2019 15:28:13 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1563823688; cv=none; d=zoho.com; s=zohoarc; 
 b=FoCzW7m6xbJPbJfX6W+TUFuWw2b/DKQ9UPh1jnB88OUy+LmMiFsQXeQj6bl0CIt1qvyGo+fLgd7afo+R9tabzRdxlxjKmOvht9OQ2KhJaKw99iEbUM+bLwrFLOFEGIu0uLU1ir7ZJ/MWa5fOaoBQUtmKkLd1XYzEP+nwlqpRsmQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1563823688;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=Wx2hAj37lkgqhkva7CrMiKXXH675VR+TL3qcy95LB+o=; 
 b=DacGZjJc1mFk6YGCf9QL6Y4r+9uR0dKGVhm3epKtICoaaRONfrRYZzA+jlDzfyBM57sPPLqLGgV7lfSmmd22s/fFjApszxokQVSU19FE2bWJcQbR+V91tOpyzKVOGZHOGCaeQ0y2srmD0iLpGk0luFVWGygdY9pcuS3Ksxt/vpg=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1563823688; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1272; bh=Wx2hAj37lkgqhkva7CrMiKXXH675VR+TL3qcy95LB+o=;
 b=jLnTcDeM0qFtuR6sOhIMILkrPHxRtGtuUV7xhl9QnGlWgxiLu4Mhgl8QV7pdYMsF
 IRQ7nqI6kAYX4HdZ8WUg2NeoWdDNEG3h7Jh2vS8OdwpvSn5QjxisIZLGMxzNBe7wipl
 JcHUUnpfTd6hWsraPMB02LLzm07yTI2HY0JZkh+s=
Received: from localhost (p54AD4F1D.dip0.t-ipconnect.de [84.173.79.29]) by
 mx.zohomail.com with SMTPS id 1563823687052384.46422956648837;
 Mon, 22 Jul 2019 12:28:07 -0700 (PDT)
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN> <87tvbib587.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <87tvbib587.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 22 Jul 2019 21:28:00 +0200
Message-ID: <87imrtdg3j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Ricardo Wurmus <rekado@HIDDEN> skribis:
>
>> In addition to this change I just pushed to wip-texlive a number of
>> changes that may lead to an even bigger number of rebuilds due to
>> changes in the svn fetcher and even more TeX packages.
>>
>> (I noticed that the branch name =E2=80=9Cwip-texlive=E2=80=9D was alread=
y taken by the
>> attempt to add a new importer, so I just cherry-picked that commit and
>> replaced the branch.)
>>
>> I don=E2=80=99t know yet if it leads to practical improvements for users=
, but at
>> least it greatly simplifies the definition of texlive-* packages.
>>
>> I have yet to double check the often unclear licenses of the
>> texlive-hyphen-* packages.  Other than that and the WIP commit by Pierre
>> at the tip I think these changes are very close to their final form.
>
> Yay, very nice!
>
> When it=E2=80=99s ready, we can ask berlin to build it as a separate bran=
ch and
> merge it once it=E2=80=99s done.

The =E2=80=9Cwip-texlive=E2=80=9D branch is now being built on Berlin.

(I removed the WIP importer from =E2=80=9Cwip-texlive=E2=80=9D and pushed i=
t to a new
=E2=80=9Cwip-texlive-importer=E2=80=9D branch instead.)

--
Ricardo





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Pierre Neidhardt <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 22 Jul 2019 20:20:01 +0000
Resent-Message-ID: <handler.36513.B36513.15638267526250 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.15638267526250
          (code B ref 36513); Mon, 22 Jul 2019 20:20:01 +0000
Received: (at 36513) by debbugs.gnu.org; 22 Jul 2019 20:19:12 +0000
Received: from localhost ([127.0.0.1]:33682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpem8-0001cj-Hj
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 16:19:12 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:37661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hpem6-0001cV-Bv
 for 36513 <at> debbugs.gnu.org; Mon, 22 Jul 2019 16:19:11 -0400
X-Originating-IP: 92.169.116.127
Received: from mimimi (lfbn-1-4117-127.w92-169.abo.wanadoo.fr [92.169.116.127])
 (Authenticated sender: pierre@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id C3ED020007;
 Mon, 22 Jul 2019 20:19:07 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
In-Reply-To: <87imrtdg3j.fsf@HIDDEN>
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN> <87tvbib587.fsf@HIDDEN>
 <87imrtdg3j.fsf@HIDDEN>
Date: Mon, 22 Jul 2019 22:19:07 +0200
Message-ID: <87zhl5stz8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Thanks for making progress on this! :)

Out of curiosity, why bother renaming the branches and not simply choose
a different name, e.g. wip-texlive-union?  Is there something special with
the "wip-texlive" name?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl02GjsACgkQm9z0l6S7
zH/dPgf/Tqcvy4UKIqasj9GLXiPsSkpDz+GV5oCNHKn7YRKrJrdAvZrjU2gfDkh5
IIi7ViQI4APnBKptBJjakHqJ114D0YxmWKJVb3Tsq6SHTSMSbZstWtida1Ta4q8F
ERdxYiY2BAGIk2WdCgcoPVhCB138AhoBr5yTkeA7coxv8sF0L7rT/3YNyEZc3Cyp
pTv5uP2bomRTDKSk7zN8EVD9EV4uEwFK0Jw0DehHFpNJcPvIFIUbydeD3+muMr/h
0KZoJKHxIG1Q4+PE/b21B5rDysWsb7OSVsOOtqgKvz4Qwb4e6arYnYPNLER+IZIg
8QvPbP3jBxIqDjyQlFd0XJBV5bnT2g==
=sU+H
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 22 Jul 2019 21:30:02 +0000
Resent-Message-ID: <handler.36513.B36513.156383100114754 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Pierre Neidhardt <mail@HIDDEN>
Cc: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.156383100114754
          (code B ref 36513); Mon, 22 Jul 2019 21:30:02 +0000
Received: (at 36513) by debbugs.gnu.org; 22 Jul 2019 21:30:01 +0000
Received: from localhost ([127.0.0.1]:33709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpfse-0003pu-Mw
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 17:30:00 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hpfsc-0003pk-EO
 for 36513 <at> debbugs.gnu.org; Mon, 22 Jul 2019 17:29:59 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1563830873; cv=none; d=zoho.com; s=zohoarc; 
 b=TCwu04cC4QRlbb+x2tTDzY63daqZ6Cpv2NdaigehudHiWfqVnNd+MQGgZIAfqQaOXTH/Sl/VuUlJXmE9xPgs6EUvcwiUtdznt6h1SQn+hWZjCIVHAdBCmpY9QfCnAauYgcTahFIknItWp+P4bUaXDF6pV5qjF4T5l9kfsA39ybg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1563830873;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=dH2IJXqhfF5lNicTXeRLJ4/lrtyZX7iO1DrfUFnD03I=; 
 b=AlWhJ3EcXEQQyKIUSJp+KAgiMoB1E7mKd/WjJgCsgZjRnaH2U8+l/Y3Z/Zkb0+fagKRLtGvJ6mfpiLgmm/11H40WoAirHWkX6VgIaq4uf28iXrGdteQ+4PGtAeZHhOsNTkTjm4y9ee5ductz3htK5WO0ue5Wq+ZfGekWoDU8AT4=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1563830873; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=580; bh=dH2IJXqhfF5lNicTXeRLJ4/lrtyZX7iO1DrfUFnD03I=;
 b=eHA9wViB1ij4Tr6GnxlvOvYldQ1qpyxpnNEs5W46dsbbyzCPravJbqtDtHpjwcJB
 tqpDugS4rPrGADkwtuMtCTNd8R0KdOPUBR068Rc6+Wi9U8Yu7hZER+jsZAvgnfAzgHC
 pOPPEooRoGfo0dSTfTF1iQ45t/Fj1tf/WFxyN4+8=
Received: from localhost (p54AD4F1D.dip0.t-ipconnect.de [84.173.79.29]) by
 mx.zohomail.com with SMTPS id 1563830872463743.092862291054;
 Mon, 22 Jul 2019 14:27:52 -0700 (PDT)
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN> <87tvbib587.fsf@HIDDEN>
 <87imrtdg3j.fsf@HIDDEN> <87zhl5stz8.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <87zhl5stz8.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 22 Jul 2019 23:27:48 +0200
Message-ID: <87h87ddajv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Pierre Neidhardt <mail@HIDDEN> writes:

> Thanks for making progress on this! :)
>
> Out of curiosity, why bother renaming the branches and not simply choose
> a different name, e.g. wip-texlive-union?  Is there something special with
> the "wip-texlive" name?

No.  It=E2=80=99s just the name I picked.

At first I thought I could include the importer but then noticed that it
isn=E2=80=99t close enough to finished, so I moved it out again.  Had I kno=
wn
this earlier I would have picked a different branch for my work in the
first place.

--=20
Ricardo





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 04 Sep 2019 13:38:02 +0000
Resent-Message-ID: <handler.36513.B36513.1567604277408 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>
Cc: Pierre Neidhardt <mail@HIDDEN>, 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.1567604277408
          (code B ref 36513); Wed, 04 Sep 2019 13:38:02 +0000
Received: (at 36513) by debbugs.gnu.org; 4 Sep 2019 13:37:57 +0000
Received: from localhost ([127.0.0.1]:32863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i5VTw-00006W-Oe
	for submit <at> debbugs.gnu.org; Wed, 04 Sep 2019 09:37:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i5VTu-00006K-T8
 for 36513 <at> debbugs.gnu.org; Wed, 04 Sep 2019 09:37:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45690)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i5VTp-0006O9-Lb; Wed, 04 Sep 2019 09:37:49 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=42586 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i5VTp-0001L5-4s; Wed, 04 Sep 2019 09:37:49 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN> <87tvbib587.fsf@HIDDEN>
 <87imrtdg3j.fsf@HIDDEN>
Date: Wed, 04 Sep 2019 15:37:47 +0200
In-Reply-To: <87imrtdg3j.fsf@HIDDEN> (Ricardo Wurmus's message of "Mon,
 22 Jul 2019 21:28:00 +0200")
Message-ID: <877e6o18t0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hey!

Ricardo Wurmus <rekado@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Ricardo Wurmus <rekado@HIDDEN> skribis:
>>
>>> In addition to this change I just pushed to wip-texlive a number of
>>> changes that may lead to an even bigger number of rebuilds due to
>>> changes in the svn fetcher and even more TeX packages.

[...]

> The =E2=80=9Cwip-texlive=E2=80=9D branch is now being built on Berlin.

We=E2=80=99ll probably need to rebase it now, but otherwise it seemed to be=
 in
good shape: <https://berlin.guixsd.org/jobset/wip-texlive>.

Thoughts?

Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Ricardo Wurmus <rekado@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 04 Sep 2019 14:18:02 +0000
Resent-Message-ID: <handler.36513.B36513.15676066715132 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: Pierre Neidhardt <mail@HIDDEN>, 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.15676066715132
          (code B ref 36513); Wed, 04 Sep 2019 14:18:02 +0000
Received: (at 36513) by debbugs.gnu.org; 4 Sep 2019 14:17:51 +0000
Received: from localhost ([127.0.0.1]:34067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i5W6Z-0001Ki-7m
	for submit <at> debbugs.gnu.org; Wed, 04 Sep 2019 10:17:51 -0400
Received: from sender4-of-o52.zoho.com ([136.143.188.52]:21244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1i5W6X-0001KZ-RZ
 for 36513 <at> debbugs.gnu.org; Wed, 04 Sep 2019 10:17:50 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1567606654; cv=none; d=zoho.com; s=zohoarc; 
 b=LL0c0XwPGyVuFsVG5KdlKfxCTPS8T+q3HQDldgBC78vjsTALCbqxalk6RIddlYz0LfOCugzDf45qNrJIq1Om4maCy81cIG/I8Un1IfOBv6k4oob8AVfV62wx2ku9tchpCndTxgNyHtlPy4b75AprFInux6xrKe23VAtmLKd844g=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1567606654;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=zt4wvukhYFSddIADrvmEpCPZKYLIKt1ZM96eneTTiOM=; 
 b=llcXI2e1Qxvfa3+ZgeRJZdwf4sKKm5CWKKGZ/MT7ZkZtK9pMram1fkvp6Eb/Pfp7b56S+/bhzYgOBSa5hP67RKDsJXOJFKrPKpuwAYNuWl88Hhnt/8Iu8MHXMVJ8xTwJMcyPeDeEarKLULricnPSMqaxeB+p7YKl5TVGznnYxy4=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1567606654; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1301; bh=zt4wvukhYFSddIADrvmEpCPZKYLIKt1ZM96eneTTiOM=;
 b=I8O+ZNNB8oAdFU2uiFXb16k1/bMLsa79Ezvah0U+kO4kVl/+i1Iqf9AMbGonHIUB
 mrlp00vvNymjDV9LbP1kEsbjk3qqz9hb26qVPGi3UtoHrZuzmE/04PZmnNtPg9v6p1G
 yTh6V0w8+xSipEZljZr/ef9FehqywUi/tcf29TAU=
Received: from localhost (141.80.247.250 [141.80.247.250]) by mx.zohomail.com
 with SMTPS id 1567606649851520.8530443233665;
 Wed, 4 Sep 2019 07:17:29 -0700 (PDT)
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN> <87tvbib587.fsf@HIDDEN>
 <87imrtdg3j.fsf@HIDDEN> <877e6o18t0.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
In-reply-to: <877e6o18t0.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 04 Sep 2019 16:17:21 +0200
Message-ID: <87k1aof8ni.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Ricardo Wurmus <rekado@HIDDEN> skribis:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>>
>>> Ricardo Wurmus <rekado@HIDDEN> skribis:
>>>
>>>> In addition to this change I just pushed to wip-texlive a number of
>>>> changes that may lead to an even bigger number of rebuilds due to
>>>> changes in the svn fetcher and even more TeX packages.
>
> [...]
>
>> The =E2=80=9Cwip-texlive=E2=80=9D branch is now being built on Berlin.
>
> We=E2=80=99ll probably need to rebase it now, but otherwise it seemed to =
be in
> good shape: <https://berlin.guixsd.org/jobset/wip-texlive>.

It has already been merged some time ago.  I did however notice a couple
more problems with our TeX Live packages that will require some deep
rebuilds again.

I=E2=80=99m very close to fixing these problems, but I=E2=80=99m currently =
stuck with a
confusing search path issue that I have yet to fully understand.  Once
that=E2=80=99s done I=E2=80=99ll push my work to wip-texlive and have Berli=
n build it
again.

My fixes should finally solve the font problems.  (I=E2=80=99m using my WIP
package for =E2=80=9Cguile-cv=E2=80=9D as a test case, which currently cann=
ot be built
as it fails to find certain fonts.)

--
Ricardo





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#36513] texlive-union: Build missing font maps.
Resent-From: Pierre Neidhardt <mail@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 04 Sep 2019 14:52:01 +0000
Resent-Message-ID: <handler.36513.B36513.15676086728358 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36513
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: 
To: Ricardo Wurmus <rekado@HIDDEN>, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 36513 <at> debbugs.gnu.org
Received: via spool by 36513-submit <at> debbugs.gnu.org id=B36513.15676086728358
          (code B ref 36513); Wed, 04 Sep 2019 14:52:01 +0000
Received: (at 36513) by debbugs.gnu.org; 4 Sep 2019 14:51:12 +0000
Received: from localhost ([127.0.0.1]:34103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i5Wcq-0002Aj-Er
	for submit <at> debbugs.gnu.org; Wed, 04 Sep 2019 10:51:12 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:47815)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1i5Wcm-0002AX-02
 for 36513 <at> debbugs.gnu.org; Wed, 04 Sep 2019 10:51:11 -0400
X-Originating-IP: 92.169.116.127
Received: from bababa (lfbn-1-4117-127.w92-169.abo.wanadoo.fr [92.169.116.127])
 (Authenticated sender: pierre@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 465156000A;
 Wed,  4 Sep 2019 14:51:04 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
In-Reply-To: <87k1aof8ni.fsf@HIDDEN>
References: <87d0ioschd.fsf@HIDDEN> <87muhfghu4.fsf@HIDDEN>
 <87zhlfgh4g.fsf@HIDDEN> <87tvbib587.fsf@HIDDEN>
 <87imrtdg3j.fsf@HIDDEN> <877e6o18t0.fsf@HIDDEN>
 <87k1aof8ni.fsf@HIDDEN>
Date: Wed, 04 Sep 2019 16:51:04 +0200
Message-ID: <87h85sdsiv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ricardo Wurmus <rekado@HIDDEN> writes:

> My fixes should finally solve the font problems.  (I=E2=80=99m using my W=
IP
> package for =E2=80=9Cguile-cv=E2=80=9D as a test case, which currently ca=
nnot be built
> as it fails to find certain fonts.)

Is this font problem related to LaTeX's "tabular" not working?

(And sorry for not helping much on this, I'd love to but really no time
at the moment.)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl1vz1gACgkQm9z0l6S7
zH/VOwf/bZAzqkNMPdshzHJR/KJ9jQoDmwCF/ILgnBXct60P7AJ6ASjXuA0d+Z8F
HF0PwHbCT0/GbH7qneXkTmx0VP0JLBlNe8iy1j9l8QoB7ATw8zDl0hXVk1U1VO67
Ld9ivQQPEVV95sBPX1ETOzhlJxpiZ/dO4T1sx5Y7w2mR79nWZ1bOr188M8x845tK
0/PTgtsiv0LIYGhrCeZ6vudjHBPueLc1Uq5sd4tnRFD7sV+L5i+UpEcG+3YjoEmP
CEk4M5CLMuVHrtIDtWohvHt+urlyHySJW8nuheGoz2d3W6EzCcQG6wtyCBaFydn1
u0tB/0ahMN94tNOU+v8zxICGpfXuaw==
=f0UY
-----END PGP SIGNATURE-----
--=-=-=--





Last modified: Wed, 4 Sep 2019 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.